<?php

/**
 * book actions.
 *
 * @package    bookshop
 * @subpackage book
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class bookActions extends sfActions
{
  public function executeIndex(sfWebRequest $request)
  {
    $this->bookss = BooksPeer::doSelect(new Criteria());
  }

  public function executeShow(sfWebRequest $request)
  {
    $this->books = BooksPeer::retrieveByPk($request->getParameter('id'));
    $this->forward404Unless($this->books);
  }

  public function executeNew(sfWebRequest $request)
  {
    $this->form = new booksForm();
  }

  public function executeCreate(sfWebRequest $request)
  {
    $this->forward404Unless($request->isMethod(sfRequest::POST));

    $this->form = new booksForm();

    $this->processForm($request, $this->form);

    $this->setTemplate('new');
  }

  public function executeEdit(sfWebRequest $request)
  {
    $this->forward404Unless($books = BooksPeer::retrieveByPk($request->getParameter('id')), sprintf('Object books does not exist (%s).', $request->getParameter('id')));
    $this->form = new booksForm($books);
  }

  public function executeUpdate(sfWebRequest $request)
  {
    $this->forward404Unless($request->isMethod(sfRequest::POST) || $request->isMethod(sfRequest::PUT));
    $this->forward404Unless($books = BooksPeer::retrieveByPk($request->getParameter('id')), sprintf('Object books does not exist (%s).', $request->getParameter('id')));
    $this->form = new booksForm($books);

    $this->processForm($request, $this->form);

    $this->setTemplate('edit');
  }

  public function executeDelete(sfWebRequest $request)
  {
    $request->checkCSRFProtection();

    $this->forward404Unless($books = BooksPeer::retrieveByPk($request->getParameter('id')), sprintf('Object books does not exist (%s).', $request->getParameter('id')));
    $books->delete();

    $this->redirect('book/index');
  }

  protected function processForm(sfWebRequest $request, sfForm $form)
  {
    $form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
    if ($form->isValid())
    {
      $books = $form->save();

      $this->redirect('book/edit?id='.$books->getId());
    }
  }
}
